Index: .gitignore
===================================================================
--- .gitignore	(revision ecdd1329f3d08a5aa572dbfe37b8bff1e161f9d3)
+++ .gitignore	(revision e9df8a5f8d0ff47d97d92068ed122dd5f81d2285)
@@ -49,4 +49,5 @@
 /docs/sphinx-docs/source/user/perspectives
 /docs/sphinx-docs/source/user/sasgui
+/docs/sphinx-docs/katex*.zip
 
 
Index: build_tools/jenkins_linux_build.sh
===================================================================
--- build_tools/jenkins_linux_build.sh	(revision 128c2872f997a4739e0f79db0844701148e2b0a0)
+++ build_tools/jenkins_linux_build.sh	(revision 1573220ba721f0b7bddb8061b2e6ceee79d963a3)
@@ -63,4 +63,8 @@
 $PYTHON setup.py build docs bdist_egg
 
+# CREATE PDF FROM LATEX
+#cd $WORKSPACE
+#cd sasview/docs/sphinx-docs/build/latex
+#pdflatex SasView.tex
 
 # INSTALL SASVIEW
Index: docs/sphinx-docs/Makefile
===================================================================
--- docs/sphinx-docs/Makefile	(revision 1d5f5c20a9deebda81aa660ca4fd66d8695ed081)
+++ docs/sphinx-docs/Makefile	(revision 31943715d145c5ad0cc2df2ac75442591490886e)
@@ -16,5 +16,5 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source-temp
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
@@ -53,5 +53,5 @@
 	rm -rf source/dev/api
 	sphinx-apidoc -o source/dev/api -d 8 ../../src
-	
+
 html: stubs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
Index: docs/sphinx-docs/build_sphinx.py
===================================================================
--- docs/sphinx-docs/build_sphinx.py	(revision 4abc05d8a9e1b4dd5fb5a5787df90e91af46de72)
+++ docs/sphinx-docs/build_sphinx.py	(revision 6e546f8a9b31bcb236a71a310814c6edf02cef33)
@@ -18,4 +18,6 @@
 from distutils.dir_util import copy_tree
 from distutils.util import get_platform
+from distutils.spawn import find_executable
+
 from shutil import copy
 from os import listdir
@@ -324,5 +326,4 @@
         print("!!!!NO MODEL DOCS WILL BE BUILT!!!!")
 
-
 def retrieve_bumps_docs():
     """
@@ -360,9 +361,36 @@
                      SASVIEW_BUILD])
 
+def build_pdf():
+    """
+    Runs sphinx-build for pdf.  Reads in all .rst files and spits out the final html.
+    """
+    print("=== Build PDF Docs from ReST Files ===")
+    subprocess.call(["sphinx-build",
+                     "-b", "latex", # Builder name. TODO: accept as arg to setup.py.
+                     "-d", os.path.join(SPHINX_BUILD, "doctrees"),
+                     SPHINX_SOURCE,
+                     os.path.join(SPHINX_BUILD, "latex")])
+
+    LATEXDIR = os.path.join(SPHINX_BUILD, "latex")
+    #TODO: Does it need to be done so many time?
+    def pdflatex():
+        subprocess.call(["pdflatex", "SasView.tex"], cwd=LATEXDIR)
+    pdflatex()
+    pdflatex()
+    pdflatex()
+    subprocess.call(["makeindex", "-s", "python.ist", "SasView.idx"], cwd=LATEXDIR)
+    pdflatex()
+    pdflatex()
+
+    print("=== Copy PDF to HTML Directory ===")
+    source = os.path.join(LATEXDIR, "SasView.pdf")
+    target = os.path.join(SASVIEW_DOCS, "SasView.pdf")
+    shutil.copyfile(source, target)
+
 def build():
     """
     Runs sphinx-build.  Reads in all .rst files and spits out the final html.
     """
-    print("=== Build HTML Docs from Rest Files ===")
+    print("=== Build HTML Docs from ReST Files ===")
     subprocess.call(["sphinx-build",
                      "-b", "html", # Builder name. TODO: accept as arg to setup.py.
@@ -375,4 +403,31 @@
     copy_tree(html, SASVIEW_DOCS)
 
+def fetch_katex(version, destination="_static"):
+    from zipfile import ZipFile
+    import urllib2
+    url = "https://github.com/Khan/KaTeX/releases/download/%s/katex.zip" % version
+    cache_path = "katex_%s.zip" % version
+    if not os.path.exists(cache_path):
+        try:
+            fd_in = urllib2.urlopen(url)
+            with open(cache_path, "wb") as fd_out:
+                fd_out.write(fd_in.read())
+        finally:
+            fd_in.close()
+    with ZipFile(cache_path) as zip:
+        zip.extractall(destination)
+
+def convert_katex():
+    print("=== Preprocess HTML, converting latex to html ===")
+    subprocess.call(["node", "convertKaTex.js", SASVIEW_DOCS])
+
+def convert_mathjax():
+    print("=== Preprocess HTML, converting latex to html ===")
+    subprocess.call(["node", "convertMathJax.js", SASVIEW_DOCS])
+
+def fetch_mathjax():
+    subprocess.call(["npm", "install", "mathjax-node-page"])
+    # TODO: copy fonts from node_modules/mathjax/fonts/HTML-CSS/Tex into static
+
 def rebuild():
     clean()
@@ -380,6 +435,12 @@
     retrieve_user_docs()
     retrieve_bumps_docs()
+    #fetch_katex(version=KATEX_VERSION, destination=KATEX_PARENT)
+    #fetch_mathjax()
     apidoc()
     build()
+    if find_executable('latex'):
+        build_pdf()
+    #convert_katex()
+    #convert_mathjax()
 
     print("=== Done ===")
Index: docs/sphinx-docs/convertKaTex.js
===================================================================
--- docs/sphinx-docs/convertKaTex.js	(revision a6866175d29c777798ccfbb4502a17013b9c48c1)
+++ docs/sphinx-docs/convertKaTex.js	(revision a6866175d29c777798ccfbb4502a17013b9c48c1)
@@ -0,0 +1,87 @@
+#!/usr/bin/env node
+// Usage:
+//    npm install jsdom
+//    node convertTree.js build/html
+/* eslint no-console:0 */
+/* global katex */
+"use strict";
+
+/**
+ * Set a global variables name to value.
+ */
+function setGlobal(name, value) {
+    (function(globals) { globals[name] = value; }((1, eval)('this')));
+}
+
+const fs = require("fs");  // standard node
+const jsdom = require("jsdom");  // npm install jsdom
+const { JSDOM } = jsdom;
+
+// Need a fake document in order to initialize katex, and it needs to be strict
+const DTD = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
+const empty_dom = new JSDOM(DTD+'\n<html><body></body></html>');
+setGlobal('document', empty_dom.window.document);
+
+const path = require("path");
+setGlobal('katex', require(path.resolve("./build/html/_static/katex/katex.min")));
+const renderMathInElement = require(path.resolve("./build/html/_static/katex/contrib/auto-render.min"));
+//setGlobal('katex', require("../../katex.js"));
+//const renderMathInElement = require("../auto-render/auto-render");
+
+function isDir(path) {
+    const stat = fs.statSync(path);
+    return (stat && stat.isDirectory());
+}
+
+/**
+ * Walk a directory tree, yielding a list of matching filenames
+ *
+ * @param {path} dir - root of the tree which is walked
+ * @param {regex} [pattern] - regular expression match for the full path
+ */
+function* walkit(dir, pattern = /./) {
+    const _walk = function* (dir) {
+        const entries = fs.readdirSync(dir);
+        for (const entry of entries) {
+            const path = dir + "/" + entry;
+            if (isDir(path)) {
+                //console.log('walking '+path);
+                yield* _walk(path);
+            } else if (pattern.test(path)) {
+                //console.log('yielding '+path);
+                yield path;
+            }
+        }
+    };
+    yield* _walk(dir);
+}
+
+function processHtml(path) {
+    JSDOM.fromFile(path).then(dom => {
+        console.log("====> processing", path);
+        //console.log(dom.serialize());
+        setGlobal('document', dom.window.document);
+        //console.log(document.compatMode);
+        renderMathInElement(dom.window.document.body);
+        //console.log(dom.serialize());
+        fs.writeFileSync(path, dom.serialize());
+    }).catch(console.log.bind(console));
+}
+
+function processTree(dir) {
+    //console.log(process.argv.slice(2));
+    for (const path of walkit(dir, /\.html$/)) {
+        processHtml(path);
+    }
+}
+
+if (typeof require !== 'undefined' && require.main === module) {
+    //console.log(process.argv.slice(2));
+    for (const arg of process.argv.slice(2)) {
+        if (isDir(arg)) {
+            processTree(arg);
+        } else if (/\.html$/.test(arg)) {
+            processHtml(arg);
+        }
+    }
+}
Index: docs/sphinx-docs/convertMathJax.js
===================================================================
--- docs/sphinx-docs/convertMathJax.js	(revision 35ddae56eb0449a0d89239d0152f73017ed8fc1e)
+++ docs/sphinx-docs/convertMathJax.js	(revision 35ddae56eb0449a0d89239d0152f73017ed8fc1e)
@@ -0,0 +1,168 @@
+#!/usr/bin/env node
+// Usage:
+//    npm install jsdom
+//    node convertTree.js build/html
+/* eslint no-console:0 */
+/* global katex */
+"use strict";
+
+/**
+ * Set a global variables name to value.
+ */
+function setGlobal(name, value) {
+    (function(globals) { globals[name] = value; }((1, eval)('this')));
+}
+
+const fs = require("fs");
+//const await = require("await");
+const mjpage = require('mathjax-node-page').mjpage;
+
+function isDir(path) {
+    const stat = fs.statSync(path);
+    return (stat && stat.isDirectory());
+}
+
+/**
+ * Walk a directory tree, yielding a list of matching filenames
+ *
+ * @param {path} dir - root of the tree which is walked
+ * @param {regex} [pattern] - regular expression match for the full path
+ */
+function* walkit(dir, pattern = /./) {
+    const _walk = function* (dir) {
+        const entries = fs.readdirSync(dir);
+        for (const entry of entries) {
+            const path = dir + "/" + entry;
+            if (isDir(path)) {
+                //console.log('walking '+path);
+                yield* _walk(path);
+            } else if (pattern.test(path)) {
+                //console.log('yielding '+path);
+                yield path;
+            }
+        }
+    };
+    yield* _walk(dir);
+}
+
+function readFileAsync(path) {
+    return new Promise((resolve, reject) =>
+        fs.readFile(path, (err, data) => {
+            if (err) { reject(err); } else { resolve(data); }
+        }));
+}
+
+function writeFileAsync(path, data) {
+    return new Promise((resolve, reject) =>
+        fs.writeFile(path, data, (err) => {
+            if (err) { reject(err); } else { resolve(data); }
+        }));
+}
+
+const pageConfig = {
+    format: ["TeX"],
+    //output: 'html',
+    output: 'svg',
+    fontURL: 'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js/fonts/HTML-CSS',
+    MathJax: {
+            //config: ["MMLorHTML.js"],
+            //jax: ["input/TeX","input/MathML","output/HTML-CSS",
+            //      "output/NativeMML", "output/PreviewHTML"],
+            jax: ["input/TeX", "output/HTML-CSS"],
+            //extensions: ["tex2jax.js","mml2jax.js","MathMenu.js",
+            //             "MathZoom.js", "fast-preview.js",
+            //             "AssistiveMML.js", "a11y/accessibility-menu.js"
+            //            ],
+            extensions: ["tex2jax.js"],
+            TeX: {
+                extensions: ["AMSmath.js","AMSsymbols.js",
+                             "noErrors.js","noUndefined.js"]
+            }
+    }
+}
+const mjnodeConfig = {
+  ex: 6, // ex-size in pixels
+  width: 100, // width of math container (in ex) for linebreaking and tags
+  fragment: false,
+  useFontCache: true, // use <defs> and <use> in svg output?
+  useGlobalCache: false, // use common <defs> for all equations?
+  //state: mjstate, // track global state
+  linebreaks: false, // do linebreaking?
+  equationNumbers: "none", // or "AMS" or "all"
+  //math: "", // the math to typeset
+  html: true, // generate HTML output?
+  css: true, // generate CSS for HTML output?
+  //mml: false, // generate mml output?
+  //svg: false, // generate svg output?
+  //speakText: true, // add spoken annotations to output?
+  //timeout: 10 * 1000, // 10 second timeout before restarting MathJax
+}
+function mjpageAsync(input, pageConfig, mjnodeConfig) {
+    return new Promise((resolve, reject) =>
+        mjpage(input, pageConfig, mjnodeConfig, output => resolve(output))
+    );
+}
+async function updateHtmlAsync(path) {
+  try {
+    console.log("====> processing", path);
+    const input = await readFileAsync(path);
+    const output = await mjpageAsync(input, pageConfig, mjnodeConfig);
+    return await writeFileAsync(path, output);
+  } catch (err) {
+    console.log(err);
+  }
+}
+
+async function processTreeAsync(dir) {
+    //console.log(dir);
+    for (const path of walkit(dir, /\.html$/)) {
+        await updateHtmlAsync(path);
+    }
+}
+
+async function mainAsync(args) {
+    //console.log(process.argv.slice(2));
+    for (const arg of args) {
+        if (isDir(arg)) {
+            processTreeAsync(arg);
+        } else if (/\.html$/.test(arg)) {
+            updateHtmlAsync(arg);
+        }
+    }
+}
+
+
+function updateHtmlSortOfSync(path) {
+    console.log("====> loading", path);
+    const input = fs.readFileSync(path);
+    //const pageConfig = {format: ['TeX']}
+    //const mjnodeConfig = {html: true}
+    mjpage(input, pageConfig, mjnodeConfig,
+            //output => console.log(output));
+            output => {
+                console.log("====> processed", path);
+                fs.writeFileSync(path, output)
+            });
+}
+
+function processTreeSortOfSync(dir) {
+    //console.log(dir);
+    for (const path of walkit(dir, /\.html$/)) {
+        updateHtmlSortOfSync(path);
+    }
+}
+
+function mainSortOfSync(args) {
+    //console.log(process.argv.slice(2));
+    for (const arg of args) {
+        if (isDir(arg)) {
+            processTreeSortOfSync(arg);
+        } else if (/\.html$/.test(arg)) {
+            updateHtmlSortOfSync(arg);
+        }
+    }
+}
+
+if (typeof require !== 'undefined' && require.main === module) {
+    console.log(mainAsync(process.argv.slice(2)));
+}
Index: docs/sphinx-docs/source/_extensions/mathjax.py
===================================================================
--- docs/sphinx-docs/source/_extensions/mathjax.py	(revision f477159602807c5dfc0a1ec9bd2b3f438185ddc3)
+++ docs/sphinx-docs/source/_extensions/mathjax.py	(revision f477159602807c5dfc0a1ec9bd2b3f438185ddc3)
@@ -0,0 +1,117 @@
+# -*- coding: utf-8 -*-
+"""
+    sphinx.ext.mathjax
+    ~~~~~~~~~~~~~~~~~~
+
+    Allow `MathJax <http://mathjax.org/>`_ to be used to display math in
+    Sphinx's HTML writer -- requires the MathJax JavaScript library on your
+    webserver/computer.
+
+    :copyright: Copyright 2007-2016 by the Sphinx team, see AUTHORS.
+    :license: BSD, see LICENSE for details.
+
+    sample lines in conf.py to use this::
+
+        mathjax_path = ['https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/katex.min.js',
+                        'http://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/contrib/auto-render.min.js',
+                        'rendermath.js']
+        mathjax_css = 'https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/katex.min.css'
+
+    with rendermath.js containing::
+
+        document.addEventListener("DOMContentLoaded", function(event) {
+            renderMathInElement(document.body);
+        });
+
+    2016-08-09 Jason Sachs
+    * allow list of URLS for mathjax_path, which permits use of katex.js
+"""
+
+from docutils import nodes
+
+import sphinx
+from sphinx.locale import _
+from sphinx.errors import ExtensionError
+from sphinx.ext.mathbase import setup_math as mathbase_setup
+
+
+def html_visit_math(self, node):
+    self.body.append(self.starttag(node, 'span', '', CLASS='math'))
+    self.body.append(self.builder.config.mathjax_inline[0] +
+                     self.encode(node['latex']) +
+                     self.builder.config.mathjax_inline[1] + '</span>')
+    raise nodes.SkipNode
+
+
+def html_visit_displaymath(self, node):
+    self.body.append(self.starttag(node, 'div', CLASS='math'))
+    if node['nowrap']:
+        self.body.append(self.encode(node['latex']))
+        self.body.append('</div>')
+        raise nodes.SkipNode
+
+    # necessary to e.g. set the id property correctly
+    if node['number']:
+        self.body.append('<span class="eqno">(%s)' % node['number'])
+        self.add_permalink_ref(node, _('Permalink to this equation'))
+        self.body.append('</span>')
+    self.body.append(self.builder.config.mathjax_display[0])
+    parts = [prt for prt in node['latex'].split('\n\n') if prt.strip()]
+    if len(parts) > 1:  # Add alignment if there are more than 1 equation
+        self.body.append(r' \begin{align}\begin{aligned}')
+    for i, part in enumerate(parts):
+        part = self.encode(part)
+        if r'\\' in part:
+            self.body.append(r'\begin{split}' + part + r'\end{split}')
+        else:
+            self.body.append(part)
+        if i < len(parts) - 1:  # append new line if not the last equation
+            self.body.append(r'\\')
+    if len(parts) > 1:  # Add alignment if there are more than 1 equation
+        self.body.append(r'\end{aligned}\end{align} ')
+    self.body.append(self.builder.config.mathjax_display[1])
+    self.body.append('</div>\n')
+    raise nodes.SkipNode
+
+try:
+    basestring
+except:
+    basestring = str
+
+def builder_inited(app):
+    jaxpath = app.config.mathjax_path
+    if not jaxpath:
+        raise ExtensionError('mathjax_path config value must be set for the '
+                             'mathjax extension to work')
+
+    # app.config.mathjax_path can be a string or a list of strings
+    if isinstance(jaxpath, basestring):
+        app.add_javascript(jaxpath)
+    else:
+        for p in jaxpath:
+            app.add_javascript(p)
+
+    if app.config.mathjax_css:
+        app.add_stylesheet(app.config.mathjax_css)
+
+
+def setup(app):
+    try:
+        mathbase_setup(app, (html_visit_math, None), (html_visit_displaymath, None))
+    except ExtensionError:
+        raise ExtensionError('sphinx.ext.mathjax: other math package is already loaded')
+
+    # more information for mathjax secure url is here:
+    # http://docs.mathjax.org/en/latest/start.html#secure-access-to-the-cdn
+    app.add_config_value('mathjax_path',
+                         'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?'
+                         'config=TeX-MML-AM_CHTML',
+                         #'config=TeX-AMS-MML_HTMLorMML',
+                         False)
+    app.add_config_value('mathjax_css', None, 'html')
+    app.add_config_value('mathjax_use_katex', False, 'html')
+    app.add_config_value('mathjax_inline', [r'\(', r'\)'], 'html')
+    app.add_config_value('mathjax_display', [r'\[', r'\]'], 'html')
+    app.connect('builder-inited', builder_inited)
+
+    return {'version': sphinx.__display_version__, 'parallel_read_safe': True}
Index: docs/sphinx-docs/source/_static/rendermath.js
===================================================================
--- docs/sphinx-docs/source/_static/rendermath.js	(revision afca48850c5f8018d72eb8d0b9c040637c7eb3bf)
+++ docs/sphinx-docs/source/_static/rendermath.js	(revision afca48850c5f8018d72eb8d0b9c040637c7eb3bf)
@@ -0,0 +1,4 @@
+// Render katex on page.
+document.addEventListener("DOMContentLoaded", function(event) {
+	    renderMathInElement(document.body);
+});
Index: docs/sphinx-docs/source/conf.py
===================================================================
--- docs/sphinx-docs/source/conf.py	(revision 6394851e9ff662a22e84b744274580762e427d72)
+++ docs/sphinx-docs/source/conf.py	(revision 96f00a07b39c62612fd3684bbda73ec207e92b64)
@@ -36,9 +36,24 @@
               'sphinx.ext.coverage',
               'sphinx.ext.mathjax',
+              #'mathjax',  # replacement mathjax that allows a list of paths
               'dollarmath',
               'sphinx.ext.viewcode']
 
-#set mathjax path
-mathjax_path="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-MML-AM_CHTML"
+mathjax_path = (
+    'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?'
+    'config=TeX-MML-AM_CHTML')
+
+# For katex uncomment the following
+"""
+#STATIC_PATH = '../../_static/'
+STATIC_PATH = ''
+mathjax_path = [
+    STATIC_PATH + 'katex/katex.min.js',
+    STATIC_PATH + 'katex/contrib/auto-render.min.js',
+    STATIC_PATH + 'rendermath.js'
+]
+mathjax_css = STATIC_PATH + 'katex/katex.min.css'
+"""
+
 
 # Add any paths that contain templates here, relative to this directory.
@@ -204,10 +219,13 @@
 # -- Options for LaTeX output --------------------------------------------------
 
+# TODO: seems like angstroms is defined twice.
 LATEX_PREAMBLE=r"""
+\usepackage[utf8]{inputenc}      % Allow unicode symbols in text
+\newcommand{\lt}{<}              % HTML needs \lt rather than <
+\newcommand{\gt}{>}              % HTML needs \gt rather than >
 \renewcommand{\AA}{\text{\r{A}}} % Allow \AA in math mode
-\usepackage[utf8]{inputenc}      % Allow unicode symbols in text
+\DeclareUnicodeCharacter {212B} {\AA}                  % Angstrom
 \DeclareUnicodeCharacter {00B7} {\ensuremath{\cdot}}   % cdot
 \DeclareUnicodeCharacter {00B0} {\ensuremath{^\circ}}  % degrees
-\DeclareUnicodeCharacter {212B} {\AA}                  % Angstrom
 """
 latex_elements = {
Index: docs/sphinx-docs/source/rst_prolog
===================================================================
--- docs/sphinx-docs/source/rst_prolog	(revision a45185c94fc8e2fba8f29e95bece8cce451fe5aa)
+++ docs/sphinx-docs/source/rst_prolog	(revision 1659f54b83a4ef1858ffda40170e4ea6d4e03ca9)
@@ -1,45 +1,4 @@
 .. Set up some substitutions to make life easier...
-.. Remove |biggamma|, etc. when they are no longer needed.
 
-
-.. |alpha| unicode:: U+03B1
-.. |beta| unicode:: U+03B2
-.. |gamma| unicode:: U+03B3
-.. |delta| unicode:: U+03B4
-.. |epsilon| unicode:: U+03B5
-.. |zeta| unicode:: U+03B6
-.. |eta| unicode:: U+03B7
-.. |theta| unicode:: U+03B8
-.. |iota| unicode:: U+03B9
-.. |kappa| unicode:: U+03BA
-.. |lambda| unicode:: U+03BB
-.. |mu| unicode:: U+03BC
-.. |nu| unicode:: U+03BD
-.. |xi| unicode:: U+03BE
-.. |omicron| unicode:: U+03BF
-.. |pi| unicode:: U+03C0
-.. |rho| unicode:: U+03C1
-.. |sigma| unicode:: U+03C3
-.. |tau| unicode:: U+03C4
-.. |upsilon| unicode:: U+03C5
-.. |phi| unicode:: U+03C6
-.. |chi| unicode:: U+03C7
-.. |psi| unicode:: U+03C8
-.. |omega| unicode:: U+03C9
-
-
-.. |biggamma| unicode:: U+0393
-.. |bigdelta| unicode:: U+0394
-.. |bigzeta| unicode:: U+039E
-.. |bigpsi| unicode:: U+03A8
-.. |bigphi| unicode:: U+03A6
-.. |bigsigma| unicode:: U+03A3
-.. |Gamma| unicode:: U+0393
-.. |Delta| unicode:: U+0394
-.. |Zeta| unicode:: U+039E
-.. |Psi| unicode:: U+03A8
-
-
-.. |drho| replace:: |Delta|\ |rho|
 .. |Ang| unicode:: U+212B
 .. |Ang^-1| replace:: |Ang|\ :sup:`-1`
@@ -57,12 +16,4 @@
 .. |cm^-3| replace:: cm\ :sup:`-3`
 .. |sr^-1| replace:: sr\ :sup:`-1`
-.. |P0| replace:: P\ :sub:`0`\
-.. |A2| replace:: A\ :sub:`2`\
-
-
-.. |equiv| unicode:: U+2261
-.. |noteql| unicode:: U+2260
-.. |TM| unicode:: U+2122
-
 
 .. |cdot| unicode:: U+00B7
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -913,6 +913,6 @@
     def set_sldms(self, sld_mx, sld_my, sld_mz):
         r"""
-        Sets (\|m\|, m_theta, m_phi)
-        """
+        Sets mx, my, mz and abs(m).
+        """ # Note: escaping
         if sld_mx.__class__.__name__ == 'float':
             self.sld_mx = np.ones(len(self.pos_x)) * sld_mx
Index: src/sas/sascalc/realspace/__init__.py
===================================================================
--- src/sas/sascalc/realspace/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/realspace/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,12 +1,12 @@
 """
     Real-Space Modeling for SAS
-""" 
+"""
 ## \mainpage Real-Space Modeling for SAS
 #
 # \section intro_sec Introduction
-# This module provides SAS scattering intensity simulation 
+# This module provides SAS scattering intensity simulation
 # based on real-space modeling.
 #
-# Documentation can be found here: 
+# Documentation can be found here:
 #    http://danse.us/trac/sas/wiki/RealSpaceModeling
 #
@@ -37,10 +37,10 @@
 #
 # \section overview_sec Package Overview
-# 
+#
 # \subsection class Class Diagram:
 # \image html real-space-class-diagram.png
 #
 # \subsection behav Behavior Enumeration:
-# \image html enum.gif
+# \image html enum.png
 #
 # \subsection Tutorial
@@ -78,3 +78,2 @@
 # \section help_sec Contact Info
 # Code and Documentation by Jing Zhou as part of the DANSE project.
-
